Package org.apache.commons.math3.optimization

# Class InitialGuess

java.lang.Object
org.apache.commons.math3.optimization.InitialGuess

All Implemented Interfaces:
  `OptimizationData`

@Deprecated public class InitialGuess extends Object implements OptimizationData
Deprecated.
As of 3.1 (to be removed in 4.0).
Starting point (first guess) of the optimization procedure.
Immutable class.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`InitialGuess(double[] startPoint)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getInitialGuess()`
Deprecated.
Gets the initial guess.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InitialGuess

public InitialGuess(double[] startPoint)
Deprecated.

Parameters:
  `startPoint` - Initial guess.

## Method Details

### getInitialGuess

public double[] getInitialGuess()
Deprecated.
Gets the initial guess.

Returns:
  the initial guess.